
QGIS Application - Bug report #3684

Categorized renderer can't handle trailing spaces

2011-03-28 01:25 PM - Anita Graser

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13743

Description

Trailing spaces are ignored/truncated by the classification. Then,  the renderer can't find the truncated values. Debug output is: (

symbolForValue ) attribute value not found: xxx

The features are not drawn.

(Tested with a postgis layer)

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-10-10 12:49 AM - Anita Graser

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Target version changed from Future Release - Lower Priority to Version 2.12

- Resolution set to fixed/implemented

This seems fixed. I cannot reproduce it anymore.
